This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 880164 - [rhevm-dwh] - upgrade - dwh-setup doesnt display "Backup DataBase" message during upgrade
[rhevm-dwh] - upgrade - dwh-setup doesnt display "Backup DataBase" message du...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Alex Lourie
David Botzer
integration
: TestOnly, ZStream
Depends On:
Blocks: 884276
  Show dependency treegraph
 
Reported: 2012-11-26 07:07 EST by David Botzer
Modified: 2014-01-13 19:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 884276 (view as bug list)
Environment:
Last Closed: 2013-06-11 04:18:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dwh-setup-upgrde (16.37 KB, application/octet-stream)
2012-11-26 07:07 EST, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-11-26 07:07:45 EST
Created attachment 651929 [details]
dwh-setup-upgrde

Description of problem:
After upgrade had finished the first step (Stopping ovirt-engine)
There is a delay until displaying the next step (Upgrade DB)

There should be a middle step that says - Backing up DB)
Stopping ovirt-engine...                              [ DONE ]
Setting DB connectivity...                            [ DONE ]
Upgrade DB...                                         [ DONE ]

Version-Release number of selected component (if applicable):
3.1/si24.4

How reproducible:
always

Steps to Reproduce:
1.install rhevm30 & reports+dwh
2.Upgrade to rhevm 3.1 & reports+dwh
3.Run rhevm-dwh-setup
  
Actual results:
After upgrade had finished the first step (Stopping ovirt-engine)
There is a delay until displaying the next step (Upgrade DB)

Expected results:
Should display "Backup DataBase" message during upgrade

Additional info:

rhevm-dwh-setup 
In order to proceed the installer must stop the ovirt-engine service
Would you like to stop the ovirt-engine service? (yes|no): y
Stopping ovirt-engine...                              [ DONE ]
Setting DB connectivity...                            [ DONE ]
Upgrade DB...                                         [ DONE ]
Starting ovirt-engine...                              [ DONE ]
Starting oVirt-ETL...                                 [ DONE ]
Successfully installed rhevm-dwh.
The installation log file is available at
Comment 3 Yaniv Dary 2013-02-13 07:32:37 EST
Is this committed to upstream\downstream 3.2?



Yaniv
Comment 8 David Botzer 2013-03-03 05:12:17 EST
Fixed, 3.2/SF9

Would you like to proceed? (yes|no): y
Stopping ovirt-engine service...                     [ DONE ]
Stopping DB related services...                      [ DONE ]
Cleaning async tasks...                              [ DONE ]
Pre-upgrade validations...                           [ DONE ]
Backing Up Database...                               [ DONE ]
Rename Database...                                   [ DONE ]
Updating rpms...                                     [ DONE ]
Updating Database...                                 [ DONE ]
Restore Database name...                             [ DONE ]
Preparing CA...                                      [ DONE ]
Running post install configuration...                [ DONE ]
Starting ovirt-engine service...                     [ DONE ]

RHEV Manager upgrade completed successfully!

* Error: Can't start the ovirt-engine-dwhd service

Fixed, 3.2/SF9
Comment 9 Itamar Heim 2013-06-11 04:18:38 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:22:59 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.